INTERFACE
SUBROUTINE JGCORAD(LDTOUQ,KSPSTA,KSPEND,YDCV,YDSPEC)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE CONTROL_VECTORS, ONLY : CONTROL_VECTOR
USE SPECTRAL_FIELDS_MOD
LOGICAL ,INTENT(IN) :: LDTOUQ
INTEGER(KIND=JPIM),INTENT(IN) :: KSPSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KSPEND
TYPE(CONTROL_VECTOR), INTENT(IN) :: YDCV
TYPE(SPECTRAL_FIELD), INTENT(INOUT) :: YDSPEC
END SUBROUTINE JGCORAD
END INTERFACE
